## conky 1.17.0

=== CMakeLists.txt ===
#
# Conky, a system monitor, based on torsmo
#
# Please see COPYING for details
#
# Copyright (c) 2005-2021 Brenden Matthews, et. al. (see AUTHORS) All rights
# reserved.
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details. You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

cmake_minimum_required(VERSION 3.6)

project(conky)

# This is the directory for our custom CMake modules.
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

# 'core' CMake stuff
include(Conky)

# Handle build options
include(ConkyBuildOptions)

# Do platform checks
include(ConkyPlatformChecks)

# CPack module for installation tasks
include(ConkyCPackSetup)

# setup our configuration headers
configure_file(${CMAKE_MODULE_PATH}/config.h.in ${CMAKE_BINARY_DIR}/config.h)
configure_file(${CMAKE_MODULE_PATH}/build.h.in ${CMAKE_BINARY_DIR}/build.h)

set(conky_sources ${CMAKE_BINARY_DIR}/config.h ${CMAKE_BINARY_DIR}/build.h)

# Finally, add some code
add_subdirectory(lua)
add_subdirectory(data)
add_subdirectory(doc)
if(BUILD_EXTRAS)
  add_subdirectory(extras)
endif(BUILD_EXTRAS)

# Include 3rdparty toluapp
add_subdirectory(3rdparty/toluapp)
set(conky_libs ${conky_libs} toluapp_lib_static)

if(BUILD_TESTS)
  if(CODE_COVERAGE)
    # Enable coverage checks
    include(CodeCoverage)
    append_coverage_compiler_flags()
  endif()
  include(Catch)
endif()

add_subdirectory(src)

if(BUILD_TESTS)
  add_subdirectory(tests)
  enable_testing()
endif()

if(NOT DEFINED DOC_PATH)
  set(DOC_PATH "share/doc/${CPACK_PACKAGE_NAME}-${VERSION}")
endif(NOT DEFINED DOC_PATH)
set(DOC_FILES extras/convert.lua data/conky_no_x11.conf data/conky.conf)

install(FILES ${DOC_FILES} DESTINATION ${DOC_PATH})

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  install(FILES conky.desktop DESTINATION share/applications)
  install(FILES logo/conky-logomark-violet.svg
          DESTINATION share/icons/hicolor/scalable/apps)
endif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")

if(CHECK_CODE_QUALITY)
  find_package(ClangTidy)
  find_package(ClangFormat)
endif(CHECK_CODE_QUALITY)

# uninstall target
if(NOT TARGET uninstall)
  configure_file(
      "${CMAKE_MODULE_PATH}/UninstallConky.cmake.in"
    "${CMAKE_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

  add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_BINARY_DIR}/cmake_uninstall.cmake)
endif()

=== src/CMakeLists.txt ===
#
# Conky, a system monitor, based on torsmo
#
# Please see COPYING for details
#
# Copyright (c) 2005-2021 Brenden Matthews, et. al. (see AUTHORS) All rights
# reserved.
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details. You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

include_directories(${conky_includes})
if(BUILD_BUILTIN_CONFIG OR BUILD_OLD_CONFIG)
  # include config output dir
  include_directories(${CMAKE_BINARY_DIR}/data)
endif(BUILD_BUILTIN_CONFIG OR BUILD_OLD_CONFIG)

# ensure build.h and config.h aren't in the way
if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
  message(
    FATAL_ERROR
      "You must remove the autotools generated file '${CMAKE_CURRENT_SOURCE_DIR}/config.h' in order to build with CMake."
    )
endif(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/build.h)
  message(
    FATAL_ERROR
      "You must remove the autotools generated file '${CMAKE_CURRENT_SOURCE_DIR}/build.h' in order to build with CMake."
    )
endif(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/build.h)
if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/defconfig.h)
  message(
    FATAL_ERROR
      "You must remove the autotools generated file '${CMAKE_CURRENT_SOURCE_DIR}/defconfig.h' in order to build with CMake."
    )
endif(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/defconfig.h)

set(conky_sources
    ${conky_sources}
    c++wrap.cc
    c++wrap.hh
    colours.cc
    colours.h
    combine.cc
    combine.h
    common.cc
    common.h
    conky.cc
    conky.h
    core.cc
    core.h
    cpu.cc
    cpu.h
    diskio.cc
    diskio.h
    entropy.cc
    entropy.h
    exec.cc
    exec.h
    fs.cc
    fs.h
    gradient.cc
    gradient.h
    mail.cc
    mail.h
    misc.cc
    misc.h
    net_stat.cc
    net_stat.h
    template.cc
    template.h
    mboxscan.cc
    mboxscan.h
    read_tcpip.cc
    read_tcpip.h
    scroll.cc
    scroll.h
    specials.cc
    specials.h
    tailhead.cc
    tailhead.h
    temphelper.cc
    temphelper.h
    text_object.cc
    text_object.h
    timeinfo.cc
    timeinfo.h
    top.cc
    top.h
    algebra.cc
    algebra.h
    prioqueue.cc
    prioqueue.h
    proc.cc
    proc.h
    user.cc
    user.h
    luamm.cc
    luamm.hh
    data-source.cc
    data-source.hh
    display-output.cc
    display-output.hh
    display-console.cc
    display-console.hh
    display-file.cc
    display-file.hh
    display-ncurses.cc
    display-ncurses.hh
    display-http.cc
    display-http.hh
    display-x11.cc
    display-x11.hh
    display-wayland.cc
    display-wayland.hh
    lua-config.cc
    lua-config.hh
    setting.cc
    setting.hh
    llua.cc
    llua.h
    update-cb.cc
    update-cb.hh
    logging.h
    semaphore.hh)

# Platform specific sources
if(OS_LINUX)
  set(linux linux.cc linux.h users.cc users.h sony.cc sony.h i8k.cc i8k.h)
  set(optional_sources ${optional_sources} ${linux})
endif(OS_LINUX)

if(OS_FREEBSD)
  set(freebsd freebsd.cc freebsd.h bsdapm.cc bsdapm.h)
  set(optional_sources ${optional_sources} ${freebsd})
endif(OS_FREEBSD)

if(OS_DRAGONFLY)
  set(dragonfly dragonfly.cc dragonfly.h bsdapm.cc bsdapm.h)
  set(optional_sources ${optional_sources} ${dragonfly})
endif(OS_DRAGONFLY)

if(OS_OPENBSD)
  set(openbsd openbsd.cc openbsd.h bsdapm.cc bsdapm.h)
  set(optional_sources ${optional_sources} ${openbsd})
endif(OS_OPENBSD)

# These below are not actually supported.  No idea what their status is.
if(OS_SOLARIS)
  set(solaris solaris.cc solaris.h)
  set(optional_sources ${optional_sources} ${solaris})
endif(OS_SOLARIS)

if(OS_NETBSD)
  set(netbsd netbsd.cc netbsd.h)
  set(optional_sources ${optional_sources} ${netbsd})
endif(OS_NETBSD)

if(OS_HAIKU)
  set(haiku haiku.cc haiku.h)
  set(optional_sources ${optional_sources} ${haiku})
endif(OS_HAIKU)

if(OS_DARWIN)
  set(darwin darwin.mm darwin.h darwin_sip.h i18n.h)
  set(optional_sources ${optional_sources} ${darwin})
endif(OS_DARWIN)

# Optional sources
if(HAVE_SOME_SOUNDCARD_H)
  set(mixer mixer.cc mixer.h)
  set(optional_sources ${optional_sources} ${mixer})
endif(HAVE_SOME_SOUNDCARD_H)

if(BUILD_AUDACIOUS)
  set(audacious audacious.cc audacious.h)
  set(optional_sources ${optional_sources} ${audacious})
endif(BUILD_AUDACIOUS)

if(BUILD_IBM)
  set(ibm ibm.cc ibm.h smapi.cc smapi.h)
  set(optional_sources ${optional_sources} ${ibm})
endif(BUILD_IBM)

if(BUILD_MPD)
  set(mpd mpd.cc mpd.h libmpdclient.cc libmpdclient.h)
  set(optional_sources ${optional_sources} ${mpd})
endif(BUILD_MPD)

if(BUILD_MYSQL)
  set(mysql mysql.cc mysql.h)
  set(optional_sources ${optional_sources} ${mysql})
endif(BUILD_MYSQL)

if(BUILD_MOC)
  set(moc moc.cc moc.h)
  set(optional_sources ${optional_sources} ${moc})
endif(BUILD_MOC)

if(BUILD_CMUS)
  set(cmus cmus.cc cmus.h)
  set(optional_sources ${optional_sources} ${cmus})
endif(BUILD_CMUS)

if(BUILD_JOURNAL)
  set(journal journal.cc journal.h)
  set(optional_sources ${optional_sources} ${journal})
endif(BUILD_JOURNAL)

if(BUILD_XMMS2)
  set(xmms2 xmms2.cc xmms2.h)
  set(optional_sources ${optional_sources} ${xmms2})
endif(BUILD_XMMS2)

if(BUILD_PORT_MONITORS)
  add_library(tcp-portmon libtcp-portmon.cc libtcp-portmon.h)
  set(conky_libs ${conky_libs} tcp-portmon)
  set(port_monitors tcp-portmon.cc tcp-portmon.h)
  set(optional_sources ${optional_sources} ${port_monitors})
endif(BUILD_PORT_MONITORS)

if(BUILD_X11)
  set(x11 x11.cc x11.h)
  set(optional_sources ${optional_sources} ${x11})

  if(BUILD_XINERAMA)
    find_package(Xinerama REQUIRED)
    set(conky_libs ${conky_libs} ${Xinerama_LIBRARIES})
  endif(BUILD_XINERAMA)

  if(BUILD_MOUSE_EVENTS)
    set(mouse_events mouse-events.cc mouse-events.h)
    set(optional_sources ${optional_sources} ${mouse_events})
  endif(BUILD_MOUSE_EVENTS)
endif(BUILD_X11)

if(BUILD_GUI)
  set(gui fonts.cc fonts.h gui.cc gui.h)
  set(optional_sources ${optional_sources} ${gui})
endif(BUILD_GUI)

if(BUILD_WAYLAND)
  set(wl_srcs wl.cc wl.h xdg-shell-protocol.c wlr-layer-shell-protocol.c x11-color.cc x11-color.h)
  set(optional_sources ${optional_sources} ${wl_srcs})
  # generate protocol implementations
  set(XDG_PROT_DEF "${Wayland_PROTOCOLS_DIR}/stable/xdg-shell/xdg-shell.xml")
  add_custom_command(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/xdg-shell-client-protocol.h
    COMMAND ${Wayland_SCANNER} client-header ${XDG_PROT_DEF} xdg-shell-client-protocol.h)
  add_custom_command(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/xdg-shell-protocol.c
    COMMAND ${Wayland_SCANNER} private-code ${XDG_PROT_DEF} xdg-shell-protocol.c
    DEPENDS xdg-shell-client-protocol.h)

  set(WLR_LAYER_SHELL_PROT_DEF "${CMAKE_CURRENT_SOURCE_DIR}/wlr-layer-shell-unstable-v1.xml")
  add_custom_command(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/wlr-layer-shell-client-protocol.h
    COMMAND ${Wayland_SCANNER} client-header ${WLR_LAYER_SHELL_PROT_DEF} wlr-layer-shell-client-protocol.h)
  add_custom_command(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/wlr-layer-shell-protocol.c
    COMMAND ${Wayland_SCANNER} private-code ${WLR_LAYER_SHELL_PROT_DEF} wlr-layer-shell-protocol.c
    DEPENDS wlr-layer-shell-client-protocol.h)

  # include output dir in include path
  include_directories(${CMAKE_CURRENT_BINARY_DIR})
endif(BUILD_WAYLAND)

if(BUILD_HDDTEMP)
  set(hddtemp hddtemp.cc hddtemp.h)
  set(optional_sources ${optional_sources} ${hddtemp})
endif(BUILD_HDDTEMP)

if(BUILD_CURL)
  set(ccurl_thread ccurl_thread.cc ccurl_thread.h)
  set(optional_sources ${optional_sources} ${ccurl_thread})
endif(BUILD_CURL)

if(BUILD_RSS)
  set(rss rss.cc rss.h prss.cc prss.h)
  set(optional_sources ${optional_sources} ${rss})
endif(BUILD_RSS)

if(BUILD_NVIDIA)
  set(nvidia nvidia.cc nvidia.h)
  set(optional_sources ${optional_sources} ${nvidia})
endif(BUILD_NVIDIA)

if(BUILD_IMLIB2)
  set(imlib2 imlib2.cc imlib2.h)
  set(optional_sources ${optional_sources} ${imlib2})
endif(BUILD_IMLIB2)

if(BUILD_APCUPSD)
  set(apcupsd apcupsd.cc apcupsd.h)
  set(optional_sources ${optional_sources} ${apcupsd})
endif(BUILD_APCUPSD)

if(BUILD_ICAL)
  set(ical ical.cc ical.h)
  set(optional_sources ${optional_sources} ${ical})
endif(BUILD_ICAL)

if(BUILD_IRC)
  set(irc irc.cc irc.h)
  set(optional_sources ${optional_sources} ${irc})
endif(BUILD_IRC)

if(BUILD_ICONV)
  set(iconv iconv_tools.cc iconv_tools.h)
  set(optional_sources ${optional_sources} ${iconv})
endif(BUILD_ICONV)

if(BUILD_NCURSES)
  set(ncurses_srcs nc.cc nc.h)
  set(optional_sources ${optional_sources} ${ncurses_srcs})
endif(BUILD_NCURSES)

if(BUILD_PULSEAUDIO)
  set(pulseaudio pulseaudio.cc pulseaudio.h)
  set(optional_sources ${optional_sources} ${pulseaudio})
endif(BUILD_PULSEAUDIO)

if(BUILD_INTEL_BACKLIGHT)
  set(intel_backlight intel_backlight.cc intel_backlight.h)
  set(optional_sources ${optional_sources} ${intel_backlight})
endif(BUILD_INTEL_BACKLIGHT)

if(BUILD_TESTS)
  # Create a library strictly for testing
  add_library(conky_core ${conky_sources} ${optional_sources})
  add_dependencies(conky_core generated_hdr_files)
  target_link_libraries(conky_core ${conky_libs})
  add_executable(conky main.cc)
  add_dependencies(conky generated_hdr_files)
  target_link_libraries(conky conky_core ${conky_libs})
  install(TARGETS conky_core
          RUNTIME DESTINATION bin
          LIBRARY DESTINATION ${LIB_INSTALL_DIR}
          ARCHIVE DESTINATION ${LIB_INSTALL_DIR})
else()
  add_executable(conky main.cc ${conky_sources} ${optional_sources})
  add_dependencies(conky generated_hdr_files)
  target_link_libraries(conky ${conky_libs})
endif()

install(TARGETS conky
        RUNTIME DESTINATION bin
        LIBRARY DESTINATION ${LIB_INSTALL_DIR}
        ARCHIVE DESTINATION ${LIB_INSTALL_DIR})

if(BUILD_PORT_MONITORS)
  install(TARGETS tcp-portmon
          RUNTIME DESTINATION bin
          LIBRARY DESTINATION ${LIB_INSTALL_DIR}
          ARCHIVE DESTINATION ${LIB_INSTALL_DIR})
endif(BUILD_PORT_MONITORS)

print_target_properties(conky)

=== tests/CMakeLists.txt ===
include(CTest)

include_directories(${CMAKE_SOURCE_DIR}/src)
include_directories(${CMAKE_BINARY_DIR})
include_directories(${conky_includes})

set(test_srcs "test-conky.cc")

if(OS_LINUX)
  set(test_srcs ${test_srcs} test-linux.cc)
endif()

if(OS_DARWIN)
  set(test_srcs ${test_srcs} test-darwin.cc)
endif()

set(test_srcs ${test_srcs} test-core.cc)
set(test_srcs ${test_srcs} test-diskio.cc)
set(test_srcs ${test_srcs} test-fs.cc)
set(test_srcs ${test_srcs} test-gradient.cc)

add_executable(test-conky test-common.cc ${test_srcs})
target_link_libraries(test-conky conky_core)
catch_discover_tests(test-conky)

if(CODE_COVERAGE)
  set(COVERAGE_LCOV_EXCLUDES
      "*/include/c++/v1/*"
      "/usr/include/*"
      "/usr/lib/*"
      "/usr/local/Cellar/*"
      "/usr/local/include/*"
      "/usr/local/lib/*"
      "/usr/include/libkern/i386/*"
      "/usr/include/sys/_types/*"
      "/usr/local/opt/gettext/include/*"
      "${CMAKE_CURRENT_SOURCE_DIR}/*"
      "${CMAKE_CURRENT_SOURCE_DIR}/catch2/*"
      "${CMAKE_SOURCE_DIR}/3rdparty/*")

  setup_target_for_coverage_lcov_html(NAME
                                      test-conky-coverage-html
                                      EXECUTABLE
                                      test-conky
                                      DEPENDENCIES
                                      test-conky)
  setup_target_for_coverage_lcov_txt(NAME
                                     test-conky-coverage-txt
                                     EXECUTABLE
                                     test-conky
                                     DEPENDENCIES
                                     test-conky)
endif()

=== debian/changelog ===
conky (1.17.0-1) unstable; urgency=medium

  [ Vincent Cheng ]
  * New upstream release.
  * Add support for wayland in conky-std and conky-all.
    - Add build-dep on libwayland-dev and wayland-protocols.
  * Add some basic autopkgtests.
  * Update build-deps for doc generation (pandoc, pyyaml, jinja2).
  * Update standards version to 4.6.2, no changes needed.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Set upstream metadata fields: Bug-Submit.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 03 Jan 2023 00:19:55 -0800

=== debian/control ===
Source: conky
Section: utils
Priority: optional
Maintainer: Vincent Cheng <vcheng@debian.org>
Build-Depends:
 audacious-dev,
 cmake,
 debhelper-compat (= 13),
 gawk,
 lcov,
 libaudclient-dev,
 libcairo2-dev,
 libcurl4-gnutls-dev | libcurl4-dev,
 libdbus-glib-1-dev,
 libdevstat-dev [kfreebsd-any],
 libglib2.0-dev,
 libical-dev,
 libimlib2-dev,
 libircclient-dev,
 libiw-dev [linux-any],
 libkvm-dev [kfreebsd-any],
 liblua5.3-dev,
 libncurses5-dev,
 libpulse-dev,
 librsvg2-dev (>= 2.52),
 libsystemd-dev [linux-any],
 libtool,
 libwayland-dev,
 libx11-dev,
 libxdamage-dev,
 libxext-dev,
 libxft-dev,
 libxml2-dev,
 libxnvctrl-dev [i386 amd64] | nvidia-settings [i386 amd64],
 pandoc,
 pkg-config,
 python3-jinja2,
 python3-yaml,
 wayland-protocols
Homepage: https://github.com/brndnmtthws/conky
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/conky.git
Vcs-Browser: https://salsa.debian.org/debian/conky
Rules-Requires-Root: no

Package: conky-std
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: apcupsd, audacious, moc, mpd
Conflicts: conky-all, conky-cli
Replaces: conky-all, conky-cli
Description: highly configurable system monitor (default version)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 Lua support).
 .
 This package should be a good compromise for most users that do not
 need special features.
 It includes the following support:
 .
 Wayland, X11, XDamage, XDBE, Xft, MPD, MOC, math, hddtemp, portmon,
 wireless, ncurses, apcupsd, I/O stats, argb and Lua.

Package: conky-cli
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: apcupsd, moc, mpd
Conflicts: conky-all, conky-std
Replaces: conky-all, conky-std
Description: highly configurable system monitor (basic version)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 Lua support).
 .
 This is a basic package that can be useful in servers or piped with dzen2.
 It includes the following support:
 .
 MPD, MOC, math, apcupsd, ncurses and I/O stats.

Package: conky-all
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: apcupsd, audacious, moc, mpd
Conflicts: conky-cli, conky-std
Replaces: conky-cli, conky-std
Description: highly configurable system monitor (all features enabled)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 Lua support).
 .
 This is a full conky with most compile options enabled:
 .
 Wayland, X11, XDamage, XDBE, Xft, MPD, MOC, math, hddtemp, portmon, RSS,
 Weather, wireless, IBM, nvidia, eve-online, Imlib2,
 apcupsd, I/O stats, argb, Lua and the cairo and imlib2 Lua bindings,
 Audacious, PulseAudio, iCal, iconv, IRC, and systemd journal.

Package: conky
Section: oldlibs
Architecture: all
Depends: conky-std | conky-cli | conky-all, ${misc:Depends}
Description: highly configurable system monitor (transitional package)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 Lua support).
 .
 This is a dummy package to ease transition to the new packaging scheme.
 It may be safely removed after upgrade/installation.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_CFLAGS          ?= $(shell dpkg-buildflags --get CFLAGS)
DEB_CPPFLAGS        ?= $(shell dpkg-buildflags --get CPPFLAGS)
DEB_CXXFLAGS        ?= $(shell dpkg-buildflags --get CXXFLAGS)

DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

COMMON_CONF_ARGS=-DCMAKE_BUILD_TYPE=RelWithDebInfo \
                 -DCMAKE_INSTALL_PREFIX=/usr \
                 -DRELEASE=True \
                 -DBUILD_DOCS=ON \
                 -DBUILD_EXTRAS=ON \
                 -DCMAKE_C_FLAGS="$(DEB_CFLAGS) $(DEB_CPPFLAGS)" \
                 -DCMAKE_CXX_FLAGS="$(DEB_CXXFLAGS) $(DEB_CPPFLAGS)"

ifeq ($(DEB_HOST_ARCH_OS),linux)
       LINUX_CONF_ARGS="-DBUILD_WLAN=ON -DBUILD_JOURNAL=ON"
endif

ifeq ($(DEB_HOST_ARCH),i386)
ifeq ($(DEB_HOST_ARCH_OS),linux)
       ENABLE_NVIDIA=-DBUILD_NVIDIA=ON
endif
endif

ifeq ($(DEB_HOST_ARCH),amd64)
ifeq ($(DEB_HOST_ARCH_OS),linux)
       ENABLE_NVIDIA=-DBUILD_NVIDIA=ON
endif
endif

%:
	dh $@ --buildsystem=cmake

override_dh_auto_clean:
	rm -rf $(CURDIR)/README $(CURDIR)/doc/*.html $(CURDIR)/doc/*.1
	dh_auto_clean --builddirectory build-std
	dh_auto_clean --builddirectory build-cli
	dh_auto_clean --builddirectory build-all

override_dh_auto_configure:
	dh_auto_configure --builddirectory build-std -- \
	-DDOC_PATH=/usr/share/doc/conky-std \
	$(COMMON_CONF_ARGS) $(LINUX_CONF_ARGS) \
	-DBUILD_WAYLAND=ON \
	-DBUILD_X11=ON \
	-DBUILD_XDBE=ON
	
	dh_auto_configure --builddirectory build-cli -- \
	-DDOC_PATH=/usr/share/doc/conky-cli \
	$(COMMON_CONF_ARGS) \
	-DBUILD_WAYLAND=OFF \
	-DBUILD_X11=OFF
	
	dh_auto_configure --builddirectory build-all -- \
	-DDOC_PATH=/usr/share/doc/conky-all \
	$(COMMON_CONF_ARGS) $(LINUX_CONF_ARGS) $(ENABLE_NVIDIA) \
	-DBUILD_AUDACIOUS=ON \
	-DBUILD_CURL=ON \
	-DBUILD_EVE=ON \
	-DBUILD_ICAL=ON \
	-DBUILD_ICONV=ON \
	-DBUILD_IMLIB2=ON \
	-DBUILD_IRC=ON \
	-DBUILD_LUA_CAIRO=ON \
	-DBUILD_LUA_IMLIB2=ON \
	-DBUILD_LUA_RSVG=ON \
	-DBUILD_PULSEAUDIO=ON \
	-DBUILD_RSS=ON \
	-DBUILD_WAYLAND=ON \
	-DBUILD_WEATHER_METAR=ON \
	-DBUILD_WEATHER_XOAP=ON \
	-DBUILD_X11=ON \
	-DBUILD_XDBE=ON

override_dh_auto_build:
	dh_auto_build --builddirectory build-std
	dh_auto_build --builddirectory build-cli
	dh_auto_build --builddirectory build-all

override_dh_auto_test:
	dh_auto_test --builddirectory build-std
	dh_auto_test --builddirectory build-cli
	dh_auto_test --builddirectory build-all

override_dh_auto_install:
	dh_auto_install --builddirectory build-std --destdir debian/conky-std
	dh_auto_install --builddirectory build-cli --destdir debian/conky-cli
	dh_auto_install --builddirectory build-all --destdir debian/conky-all

override_dh_install:
	dh_install -Xlibtcp-portmon.a -Xlibconky_core.a

override_dh_compress:
	dh_compress -Xconvert.lua

override_dh_strip:
	dh_strip --dbgsym-migration='conky-std-dbg (<< 1.11.6-1~), conky-cli-dbg (<< 1.11.6-1~), conky-all-dbg (<< 1.11.6-1~)'

override_dh_makeshlibs:
	# Do not run ldconfig on private shared libraries in /usr/lib/conky
	# This fixes lintian warning "postinst-has-useless-call-to-ldconfig"
	dh_makeshlibs -X/usr/lib/conky

## conky 1.18.0

=== debian/changelog ===
conky (1.18.0-1) unstable; urgency=medium

  * New upstream release.
    - Unbreak Xinerama config loading. (Closes: #1027895)

 -- Vincent Cheng <vcheng@debian.org>  Sun, 19 Feb 2023 22:57:28 -0800

## conky 1.18.1

=== debian/changelog ===
conky (1.18.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix broken graph colours. (Closes: #1031736)

 -- Vincent Cheng <vcheng@debian.org>  Fri, 24 Feb 2023 15:09:43 -0800

## conky 1.18.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 
-cmake_minimum_required(VERSION 3.6)
+cmake_minimum_required(VERSION 3.15)
 
 project(conky)

=== data/CMakeLists.txt ===
#
# Conky, a system monitor, based on torsmo
#
# Please see COPYING for details
#
# Copyright (c) 2005-2021 Brenden Matthews, et. al. (see AUTHORS) All rights
# reserved.
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details. You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

if(BUILD_BUILTIN_CONFIG)
  # generate defconfig
  if(BUILD_X11)
    set(builtin_config conky.conf)
  else(BUILD_X11)
    set(builtin_config conky_no_x11.conf)
  endif(BUILD_X11)
  add_custom_command(OUTPUT defconfig.h
                     COMMAND ${CMAKE_SOURCE_DIR}/bin/text2c.sh
                             ${CMAKE_CURRENT_SOURCE_DIR}/${builtin_config}
                             defconfig.h defconfig
                     DEPENDS ${builtin_config})
  set(generated_hdr_files ${generated_hdr_files} defconfig.h)
endif(BUILD_BUILTIN_CONFIG)

if(BUILD_OLD_CONFIG)
  add_custom_command(OUTPUT convertconf.h
                     COMMAND ${CMAKE_SOURCE_DIR}/bin/text2c.sh
                             ${CMAKE_SOURCE_DIR}/extras/convert.lua
                             convertconf.h convertconf
                     DEPENDS ${CMAKE_SOURCE_DIR}/extras/convert.lua)
  set(generated_hdr_files ${generated_hdr_files} convertconf.h)
endif(BUILD_OLD_CONFIG)

add_custom_target(generated_hdr_files DEPENDS ${generated_hdr_files})

=== debian/changelog ===
conky (1.18.3-1) unstable; urgency=medium

  * New upstream release.
    - Fix memory leak by caching X11 pixel values. (Closes: #1032259)

 -- Vincent Cheng <vcheng@debian.org>  Mon, 06 Mar 2023 23:06:03 -0800

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  libiw-dev [linux-any],
  libkvm-dev [kfreebsd-any],
  liblua5.3-dev,
- libncurses5-dev,
+ libncurses-dev,
  libpulse-dev,
  librsvg2-dev (>= 2.52),
  libsystemd-dev [linux-any],

=== debian/tests/control ===
Tests: conky-std
Depends: conky-std, xauth, xvfb
Restrictions: allow-stderr

Tests: conky-all
Depends: conky-all, xauth, xvfb
Restrictions: allow-stderr

## conky 1.19.2

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,7 @@
 #
 
 include_directories(${conky_includes})
+
 if(BUILD_BUILTIN_CONFIG OR BUILD_OLD_CONFIG)
   # include config output dir
   include_directories(${CMAKE_BINARY_DIR}/data)
@@ -28,110 +29,117 @@
 if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
   message(
     FATAL_ERROR
-      "You must remove the autotools generated file '${CMAKE_CURRENT_SOURCE_DIR}/config.h' in order to build with CMake."
-    )
+    "You must remove the autotools generated file '${CMAKE_CURRENT_SOURCE_DIR}/config.h' in order to build with CMake."
+  )
 endif(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
+
 if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/build.h)
   message(
     FATAL_ERROR
-      "You must remove the autotools generated file '${CMAKE_CURRENT_SOURCE_DIR}/build.h' in order to build with CMake."
-    )
+    "You must remove the autotools generated file '${CMAKE_CURRENT_SOURCE_DIR}/build.h' in order to build with CMake."
+  )
 endif(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/build.h)
+
 if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/defconfig.h)
   message(
     FATAL_ERROR
-      "You must remove the autotools generated file '${CMAKE_CURRENT_SOURCE_DIR}/defconfig.h' in order to build with CMake."
-    )
+    "You must remove the autotools generated file '${CMAKE_CURRENT_SOURCE_DIR}/defconfig.h' in order to build with CMake."
+  )
 endif(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/defconfig.h)
 
 set(conky_sources
-    ${conky_sources}
-    c++wrap.cc
-    c++wrap.hh
-    colours.cc
-    colours.h
-    combine.cc
-    combine.h
-    common.cc
-    common.h
-    conky.cc
-    conky.h
-    core.cc
-    core.h
-    cpu.cc
-    cpu.h
-    diskio.cc
-    diskio.h
-    entropy.cc
-    entropy.h
-    exec.cc
-    exec.h
-    fs.cc
-    fs.h
-    gradient.cc
-    gradient.h
-    mail.cc
-    mail.h
-    misc.cc
-    misc.h
-    net_stat.cc
-    net_stat.h
-    template.cc
-    template.h
-    mboxscan.cc
-    mboxscan.h
-    read_tcpip.cc
-    read_tcpip.h
-    scroll.cc
-    scroll.h
-    specials.cc
-    specials.h
-    tailhead.cc
-    tailhead.h
-    temphelper.cc
-    temphelper.h
-    text_object.cc
-    text_object.h
-    timeinfo.cc
-    timeinfo.h
-    top.cc
-    top.h
-    algebra.cc
-    algebra.h
-    prioqueue.cc
-    prioqueue.h
-    proc.cc
-    proc.h
-    user.cc
-    user.h
-    luamm.cc
-    luamm.hh
-    data-source.cc
-    data-source.hh
-    display-output.cc
-    display-output.hh
-    display-console.cc
-    display-console.hh
-    display-file.cc
-    display-file.hh
-    display-ncurses.cc
-    display-ncurses.hh
-    display-http.cc
-    display-http.hh
-    display-x11.cc
-    display-x11.hh
-    display-wayland.cc
-    display-wayland.hh
-    lua-config.cc
-    lua-config.hh
-    setting.cc
-    setting.hh
-    llua.cc
-    llua.h
-    update-cb.cc
-    update-cb.hh
-    logging.h
-    semaphore.hh)
+  ${conky_sources}
+  c++wrap.cc
+  c++wrap.hh
+  colour-settings.cc
+  colour-settings.h
+  colours.cc
+  colours.h
+  combine.cc
+  combine.h
+  common.cc
+  common.h
+  conky.cc
+  conky.h
+  core.cc
+  core.h
+  cpu.cc
+  cpu.h
+  diskio.cc
+  diskio.h
+  entropy.cc
+  entropy.h
+  exec.cc
+  exec.h
+  fs.cc
+  fs.h
+  gradient.cc
+  gradient.h
+  mail.cc
+  mail.h
+  misc.cc
+  misc.h
+  net_stat.cc
+  net_stat.h
+  template.cc
+  template.h
+  mboxscan.cc
+  mboxscan.h
+  read_tcpip.cc
+  read_tcpip.h
+  scroll.cc
+  scroll.h
+  specials.cc
+  specials.h
+  tailhead.cc
+  tailhead.h
+  temphelper.cc
+  temphelper.h
+  text_object.cc
+  text_object.h
+  timeinfo.cc
+  timeinfo.h
+  top.cc
+  top.h
+  algebra.cc
+  algebra.h
+  prioqueue.cc
+  prioqueue.h
+  proc.cc
+  proc.h
+  user.cc
+  user.h
+  luamm.cc
+  luamm.hh
+  data-source.cc
+  data-source.hh
+  display-output.cc
+  display-output.hh
+  display-console.cc
+  display-console.hh
+  display-file.cc
+  display-file.hh
+  display-ncurses.cc
+  display-ncurses.hh
+  display-http.cc
+  display-http.hh
+  display-x11.cc
+  display-x11.hh
+  display-wayland.cc
+  display-wayland.hh
+  lua-config.cc
+  lua-config.hh
+  setting.cc
+  setting.hh
+  llua.cc
+  llua.h
+  update-cb.cc
+  update-cb.hh
+  logging.h
+  semaphore.hh
+  x11-color.cc
+  x11-color.h
+)
 
 # Platform specific sources
 if(OS_LINUX)
@@ -232,11 +240,6 @@
   set(x11 x11.cc x11.h)
   set(optional_sources ${optional_sources} ${x11})
 
-  if(BUILD_XINERAMA)
-    find_package(Xinerama REQUIRED)
-    set(conky_libs ${conky_libs} ${Xinerama_LIBRARIES})
-  endif(BUILD_XINERAMA)
-
   if(BUILD_MOUSE_EVENTS)
     set(mouse_events mouse-events.cc mouse-events.h)
     set(optional_sources ${optional_sources} ${mouse_events})
@@ -249,8 +252,9 @@
 endif(BUILD_GUI)
 
 if(BUILD_WAYLAND)
-  set(wl_srcs wl.cc wl.h xdg-shell-protocol.c wlr-layer-shell-protocol.c x11-color.cc x11-color.h)
+  set(wl_srcs wl.cc wl.h xdg-shell-protocol.c wlr-layer-shell-protocol.c)
   set(optional_sources ${optional_sources} ${wl_srcs})
+
   # generate protocol implementations
   set(XDG_PROT_DEF "${Wayland_PROTOCOLS_DIR}/stable/xdg-shell/xdg-shell.xml")
   add_custom_command(
@@ -343,9 +347,9 @@
   add_dependencies(conky generated_hdr_files)
   target_link_libraries(conky conky_core ${conky_libs})
   install(TARGETS conky_core
-          RUNTIME DESTINATION bin
-          LIBRARY DESTINATION ${LIB_INSTALL_DIR}
-          ARCHIVE DESTINATION ${LIB_INSTALL_DIR})
+    RUNTIME DESTINATION bin
+    LIBRARY DESTINATION ${LIB_INSTALL_DIR}
+    ARCHIVE DESTINATION ${LIB_INSTALL_DIR})
 else()
   add_executable(conky main.cc ${conky_sources} ${optional_sources})
   add_dependencies(conky generated_hdr_files)
@@ -353,15 +357,15 @@
 endif()
 
 install(TARGETS conky
-        RUNTIME DESTINATION bin
-        LIBRARY DESTINATION ${LIB_INSTALL_DIR}
-        ARCHIVE DESTINATION ${LIB_INSTALL_DIR})
+  RUNTIME DESTINATION bin
+  LIBRARY DESTINATION ${LIB_INSTALL_DIR}
+  ARCHIVE DESTINATION ${LIB_INSTALL_DIR})
 
 if(BUILD_PORT_MONITORS)
   install(TARGETS tcp-portmon
-          RUNTIME DESTINATION bin
-          LIBRARY DESTINATION ${LIB_INSTALL_DIR}
-          ARCHIVE DESTINATION ${LIB_INSTALL_DIR})
+    RUNTIME DESTINATION bin
+    LIBRARY DESTINATION ${LIB_INSTALL_DIR}
+    ARCHIVE DESTINATION ${LIB_INSTALL_DIR})
 endif(BUILD_PORT_MONITORS)
 
 print_target_properties(conky)

=== debian/changelog ===
conky (1.19.2-2) unstable; urgency=medium

  * Update existing autopkgtests.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 16 Jul 2023 20:40:47 -0700

conky (1.19.2-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 16 Jul 2023 01:27:34 -0700

## conky 1.19.3

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -43,3 +43,10 @@
 endif(BUILD_OLD_CONFIG)
 
 add_custom_target(generated_hdr_files DEPENDS ${generated_hdr_files})
+
+if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
+  install(FILES conky.desktop DESTINATION share/applications)
+  install(FILES logo/conky-logomark-violet.svg
+          DESTINATION share/icons/hicolor/scalable/apps)
+endif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
+

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,8 @@
 set(test_srcs ${test_srcs} test-diskio.cc)
 set(test_srcs ${test_srcs} test-fs.cc)
 set(test_srcs ${test_srcs} test-gradient.cc)
+set(test_srcs ${test_srcs} test-graph.cc)
+set(test_srcs ${test_srcs} test-colours.cc)
 
 add_executable(test-conky test-common.cc ${test_srcs})
 target_link_libraries(test-conky conky_core)

=== debian/changelog ===
conky (1.19.3-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 09 Aug 2023 11:29:33 -0700

## conky 1.19.4

=== lua/CMakeLists.txt ===
#
# Conky, a system monitor, based on torsmo
#
# Please see COPYING for details
#
# Copyright (c) 2005-2021 Brenden Matthews, et. al. (see AUTHORS) All rights
# reserved.
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details. You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

include(ToLua)

add_definitions(-DTOLUA_RELEASE)

if(BUILD_X11)

  if(BUILD_LUA_CAIRO)
    include_directories(${luacairo_includes} ${CMAKE_CURRENT_SOURCE_DIR})

    # Need the directory for -lSM
    get_filename_component(X11_SM_LIB_PATH ${X11_SM_LIB} DIRECTORY)
    link_directories(${X11_SM_LIB_PATH})

    # cairo_set_dash() needs this special hack to work properly if you have a
    # better solution, please let me know
    wrap_tolua(luacairo_src cairo.pkg libcairo.patch)

    add_library(conky-cairo SHARED ${luacairo_src})
    set_target_properties(conky-cairo PROPERTIES OUTPUT_NAME "cairo")

    target_link_libraries(conky-cairo ${luacairo_libs} toluapp_lib_static)
    set(lua_libs ${lua_libs} conky-cairo)

    print_target_properties(conky-cairo)
  endif(BUILD_LUA_CAIRO)

  if(BUILD_LUA_IMLIB2)
    include_directories(${luaimlib2_includes} ${CMAKE_CURRENT_SOURCE_DIR})

    if(IMLIB2_VERSION VERSION_GREATER_EQUAL "1.10.0")
      wrap_tolua(luaimlib2_src imlib2.pkg)
    else(IMLIB2_VERSION VERSION_GREATER_EQUAL "1.10.0")
      wrap_tolua(luaimlib2_src imlib2_old.pkg)
    endif(IMLIB2_VERSION VERSION_GREATER_EQUAL "1.10.0")

    add_library(conky-imlib2 SHARED ${luaimlib2_src})
    set_target_properties(conky-imlib2 PROPERTIES OUTPUT_NAME "imlib2")

    target_link_libraries(conky-imlib2 ${luaimlib2_libs} toluapp_lib_static)
    set(lua_libs ${lua_libs} conky-imlib2)

    print_target_properties(conky-imlib2)
  endif(BUILD_LUA_IMLIB2)

  if(BUILD_LUA_RSVG)
    include_directories(${luarsvg_includes} ${CMAKE_CURRENT_SOURCE_DIR})
    wrap_tolua(luarsvg_src rsvg.pkg)

    add_library(conky-rsvg SHARED ${luarsvg_src})
    set_target_properties(conky-rsvg PROPERTIES OUTPUT_NAME "rsvg")

    target_link_libraries(conky-rsvg ${luarsvg_libs} toluapp_lib_static)
    set(lua_libs ${lua_libs} conky-rsvg)

    print_target_properties(conky-rsvg)
  endif(BUILD_LUA_RSVG)

  if(BUILD_LUA_CAIRO AND BUILD_LUA_IMLIB2)
    include_directories(${luacairo_includes} ${luaimlib2_includes}
                        ${CMAKE_CURRENT_SOURCE_DIR})
    wrap_tolua(luacairo_imlib2_helper_src cairo_imlib2_helper.pkg)

    add_library(conky-cairo_imlib2_helper SHARED ${luacairo_imlib2_helper_src})
    set_target_properties(conky-cairo_imlib2_helper
                          PROPERTIES OUTPUT_NAME "cairo_imlib2_helper")

    target_link_libraries(conky-cairo_imlib2_helper
                          ${luacairo_libs}
                          ${luaimlib2_libs}
                          toluapp_lib_static)
    set(lua_libs ${lua_libs} conky-cairo_imlib2_helper)
  endif(BUILD_LUA_CAIRO AND BUILD_LUA_IMLIB2)
endif(BUILD_X11)

install(TARGETS ${lua_libs}
        LIBRARY DESTINATION ${LIB_INSTALL_DIR}/conky
        ARCHIVE DESTINATION ${LIB_INSTALL_DIR}/conky)

=== debian/changelog ===
conky (1.19.4-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 15 Aug 2023 17:04:49 -0700

## conky 1.19.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -78,12 +78,6 @@
 
 install(FILES ${DOC_FILES} DESTINATION ${DOC_PATH})
 
-if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
-  install(FILES conky.desktop DESTINATION share/applications)
-  install(FILES logo/conky-logomark-violet.svg
-          DESTINATION share/icons/hicolor/scalable/apps)
-endif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
-
 if(CHECK_CODE_QUALITY)
   find_package(ClangTidy)
   find_package(ClangFormat)

=== doc/CMakeLists.txt ===
#
# Conky, a system monitor, based on torsmo
#
# Please see COPYING for details
#
# Copyright (c) 2005-2021 Brenden Matthews, et. al. (see AUTHORS) All rights
# reserved.
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details. You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

if(BUILD_DOCS)
    add_custom_target(man.md
        ALL
        COMMAND ${Python3_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/render.py man.md.j2 > ${CMAKE_CURRENT_BINARY_DIR}/man.md
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        SOURCES config_settings.yaml variables.yaml lua.yaml man.md.j2
    )
    add_custom_target(conky.1
        ALL
        COMMAND ${APP_PANDOC} --standalone -f markdown -t man ${CMAKE_CURRENT_BINARY_DIR}/man.md > ${CMAKE_CURRENT_BINARY_DIR}/conky.1
        SOURCES config_settings.yaml variables.yaml lua.yaml man.md.j2
    )
    add_dependencies(conky.1 man.md)
 
    set(MAN_PATH "share/man/man1")
    set(MAN_FILES ${CMAKE_CURRENT_BINARY_DIR}/conky.1)

    install(FILES ${DOC_FILES} DESTINATION ${DOC_PATH})

    if(BUILD_DOCS)
        install(FILES ${MAN_FILES} DESTINATION ${MAN_PATH})
    endif(BUILD_DOCS)

endif(BUILD_DOCS)

=== extras/CMakeLists.txt ===
#
# Conky, a system monitor, based on torsmo
#
# Please see COPYING for details
#
# Copyright (c) 2005-2021 Brenden Matthews, et. al. (see AUTHORS) All rights
# reserved.
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details. You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/nano)
add_custom_target(conky.nanorc
    ALL
    COMMAND ${Python3_EXECUTABLE} ${CMAKE_SOURCE_DIR}/doc/render.py nano/conky.nanorc.j2 > ${CMAKE_CURRENT_BINARY_DIR}/nano/conky.nanorc
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    SOURCES
    ${CMAKE_SOURCE_DIR}/doc/variables.yaml
    ${CMAKE_SOURCE_DIR}/doc/config_settings.yaml
    ${CMAKE_SOURCE_DIR}/doc/lua.yaml
    ${CMAKE_CURRENT_SOURCE_DIR}/nano/conky.nanorc.j2
)
file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/vim/syntax)
add_custom_target(conkyrc.vim
    ALL
    COMMAND ${Python3_EXECUTABLE} ${CMAKE_SOURCE_DIR}/doc/render.py vim/syntax/conkyrc.vim.j2 > ${CMAKE_CURRENT_BINARY_DIR}/vim/syntax/conkyrc.vim
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    SOURCES
    ${CMAKE_SOURCE_DIR}/doc/variables.yaml
    ${CMAKE_SOURCE_DIR}/doc/config_settings.yaml
    ${CMAKE_SOURCE_DIR}/doc/lua.yaml
    ${CMAKE_CURRENT_SOURCE_DIR}/vim/syntax/conkyrc.vim.j2
)

=== 3rdparty/toluapp/CMakeLists.txt ===
# Copyright (C) 2007-2012 LuaDist.
# Created by Peter Kapec
# Redistribution and use of this file is allowed according to the terms of the MIT license.
# For details see the COPYRIGHT file distributed with LuaDist.
# Please note that the package source code is licensed under its own license.

project ( toluapp C )
cmake_minimum_required ( VERSION 3.4 )
# Disable dist stuff, we're not installing this as a lib
# include ( cmake/dist.cmake )

include(FindPkgConfig)
include(FindLua)
include_directories ( include src/lib ${LUA_INCLUDE_DIR} )

# Build lib
file ( GLOB SRC_LIBTOLUAPP src/lib/*.c )
if ( MSVC )
  set ( DEF_FILE libtoluapp.def )
endif ( )

# add_library ( toluapp_lib SHARED ${SRC_LIBTOLUAPP} ${DEF_FILE} )
add_library ( toluapp_lib_static STATIC ${SRC_LIBTOLUAPP} ${DEF_FILE} )
target_link_libraries ( toluapp_lib_static ${LUA_LIBRARIES} )
set_target_properties ( toluapp_lib_static PROPERTIES COMPILE_FLAGS -fPIC) # -fPIC required for static linking
set_target_properties ( toluapp_lib_static PROPERTIES OUTPUT_NAME toluapp CLEAN_DIRECT_OUTPUT
  1 )

# Build app
include_directories ( src/bin )
set ( SRC_TOLUA src/bin/tolua.c src/bin/toluabind.c )
add_executable ( toluapp ${SRC_TOLUA} )
target_link_libraries ( toluapp toluapp_lib_static ${LUA_LIBRARIES} )

# Disable installation, we don't need these at runtime for Conky
# Install
#install_library ( toluapp_lib )
#install_executable ( toluapp )
#install_header ( include/ )
#install_data ( README INSTALL )
#install_doc ( doc/ )

=== debian/changelog ===
conky (1.19.6-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:39:35 +1100

conky (1.19.6-1build2) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:47:21 +0000

conky (1.19.6-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:07:16 +0000

conky (1.19.6-1) unstable; urgency=medium

  * New upstream release.
    - Fix segfault when running Lua code. (Closes: #1053916)

 -- Vincent Cheng <vcheng@debian.org>  Sat, 14 Oct 2023 18:42:20 -0700

conky (1.19.5-1) unstable; urgency=medium

  [ Vincent Cheng ]
  * New upstream release.

  [ Bastian Germann ]
  * Drop transitional package conky. (Closes: #878377)

 -- Vincent Cheng <vcheng@debian.org>  Wed, 11 Oct 2023 09:54:03 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: conky
 Section: utils
 Priority: optional
-Maintainer: Vincent Cheng <vcheng@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Vincent Cheng <vcheng@debian.org>
 Build-Depends:
  audacious-dev,
  cmake,
@@ -49,6 +50,7 @@
 Suggests: apcupsd, audacious, moc, mpd
 Conflicts: conky-all, conky-cli
 Replaces: conky-all, conky-cli
+Provides: conky
 Description: highly configurable system monitor (default version)
  Conky is a system monitor that can display just about anything,
  either on your root desktop or in its own window.
@@ -69,6 +71,7 @@
 Suggests: apcupsd, moc, mpd
 Conflicts: conky-all, conky-std
 Replaces: conky-all, conky-std
+Provides: conky
 Description: highly configurable system monitor (basic version)
  Conky is a system monitor that can display just about anything,
  either on your root desktop or in its own window.
@@ -87,6 +90,7 @@
 Suggests: apcupsd, audacious, moc, mpd
 Conflicts: conky-cli, conky-std
 Replaces: conky-cli, conky-std
+Provides: conky
 Description: highly configurable system monitor (all features enabled)
  Conky is a system monitor that can display just about anything,
  either on your root desktop or in its own window.
@@ -100,17 +104,3 @@
  Weather, wireless, IBM, nvidia, eve-online, Imlib2,
  apcupsd, I/O stats, argb, Lua and the cairo and imlib2 Lua bindings,
  Audacious, PulseAudio, iCal, iconv, IRC, and systemd journal.
-
-Package: conky
-Section: oldlibs
-Architecture: all
-Depends: conky-std | conky-cli | conky-all, ${misc:Depends}
-Description: highly configurable system monitor (transitional package)
- Conky is a system monitor that can display just about anything,
- either on your root desktop or in its own window.
- Conky has many built-in objects, as well as the ability to execute
- external programs or scripts (either external or through built-in
- Lua support).
- .
- This is a dummy package to ease transition to the new packaging scheme.
- It may be safely removed after upgrade/installation.

=== debian/rules ===
--- 
+++ 
@@ -95,6 +95,9 @@
 override_dh_install:
 	dh_install -Xlibtcp-portmon.a -Xlibconky_core.a
 
+override_dh_installchangelogs:
+	dh_installchangelogs --no-trim
+
 override_dh_compress:
 	dh_compress -Xconvert.lua
